Skip to main content
GET
/
download_document
/
{document_id}
Download Document
curl --request GET \
  --url https://api.rootfi.dev/v3/download_document/{document_id} \
  --header 'api_key: <api-key>'
import requests

url = "https://api.rootfi.dev/v3/download_document/{document_id}"

headers = {"api_key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {api_key: '<api-key>'}};

fetch('https://api.rootfi.dev/v3/download_document/{document_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "rootfi_id": 1112,
    "rootfi_deleted_at": null,
    "rootfi_created_at": "2024-01-25T09:00:00Z",
    "rootfi_updated_at": "2024-01-25T09:00:00Z",
    "rootfi_company_id": 111,
    "platform_id": "123456_1",
    "platform_unique_id": "123456",
    "file_name": "Example File Name",
    "file_type": "Example File Type",
    "file_size": "Example File Size",
    "document_type_id": "123456",
    "document_type": "Example Document Type",
    "document_uploaded": true,
    "download_url": "https://example.com",
    "updated_at": "2024-01-25T09:00:00Z"
  }
}
{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}
The Documents Data Model simplifies the handling of document documents across various accounting platforms, providing a standardised approach to accessing and managing document-related information.

Authorizations

api_key
string
header
required

Path Parameters

document_id
string
required

The ID of the document

Query Parameters

rootfi_company_id
integer
required

The company ID of the document

Response

The data of the documents endpoint

data
accountingDownlaodDocumentObject · object
required
prev
string | null

The previous page of objects to retrieve

next
string | null

The next page of objects to retrieve

total_count
integer | null

The total count of the objects